;;; DO NOT MODIFY THIS FILE -*- coding: raw-text-unix -*-
;;;###coding system: raw-text-unix
(if (featurep 'flim-1.14.7-autoloads) (error "Feature flim-1.14.7-autoloads already loaded"))

;;;### (autoloads (mime-decode-header-in-buffer mime-decode-header-in-region mime-decode-field-body mime-update-field-decoder-cache mime-find-field-decoder mime-find-field-presentation-method mime-set-field-decoder) "eword-decode" "flim-1.14.7/eword-decode.el")

(autoload 'mime-set-field-decoder "eword-decode" "\
Set decoder of FIELD.
SPECS must be like `MODE1 DECODER1 MODE2 DECODER2 ...'.
Each mode must be `nil', `plain', `wide', `summary' or `nov'.
If mode is `nil', corresponding decoder is set up for every modes.

arguments: (FIELD &rest SPECS)
" nil nil)

(autoload 'mime-find-field-presentation-method "eword-decode" "\
Return field-presentation-method from NAME.
NAME must be `plain', `wide', `summary' or `nov'.

arguments: (NAME)
" nil 'macro)

(autoload 'mime-find-field-decoder "eword-decode" "\
Return function to decode field-body of FIELD in MODE.
Optional argument MODE must be object or name of
field-presentation-method.  Name of field-presentation-method must be
`plain', `wide', `summary' or `nov'.
Default value of MODE is `summary'.

arguments: (FIELD &optional MODE)
" nil nil)

(autoload 'mime-update-field-decoder-cache "eword-decode" "\
Update field decoder cache `mime-field-decoder-cache'.

arguments: (FIELD MODE &optional FUNCTION)
" nil nil)

(autoload 'mime-decode-field-body "eword-decode" "\
Decode FIELD-BODY as FIELD-NAME in MODE, and return the result.
Optional argument MODE must be `plain', `wide', `summary' or `nov'.
Default mode is `summary'.

If MODE is `wide' and MAX-COLUMN is non-nil, the result is folded with
MAX-COLUMN.

Non MIME encoded-word part in FILED-BODY is decoded with
`default-mime-charset'.

arguments: (FIELD-BODY FIELD-NAME &optional MODE MAX-COLUMN)
" nil nil)

(autoload 'mime-decode-header-in-region "eword-decode" "\
Decode MIME encoded-words in region between START and END.
If CODE-CONVERSION is nil, it decodes only encoded-words.  If it is
mime-charset, it decodes non-ASCII bit patterns as the mime-charset.
Otherwise it decodes non-ASCII bit patterns as the
default-mime-charset.

arguments: (START END &optional CODE-CONVERSION)
" t nil)

(autoload 'mime-decode-header-in-buffer "eword-decode" "\
Decode MIME encoded-words in header fields.
If CODE-CONVERSION is nil, it decodes only encoded-words.  If it is
mime-charset, it decodes non-ASCII bit patterns as the mime-charset.
Otherwise it decodes non-ASCII bit patterns as the
default-mime-charset.
If SEPARATOR is not nil, it is used as header separator.

arguments: (&optional CODE-CONVERSION SEPARATOR)
" t nil)

;;;***

;;;### (autoloads (mime-encode-header-in-buffer mime-encode-field-body) "eword-encode" "flim-1.14.7/eword-encode.el")

(autoload 'mime-encode-field-body "eword-encode" "\
Encode FIELD-BODY as FIELD-NAME, and return the result.
A lexical token includes non-ASCII character is encoded as MIME
encoded-word.  ASCII token is not encoded.

arguments: (FIELD-BODY FIELD-NAME)
" nil nil)

(autoload 'mime-encode-header-in-buffer "eword-encode" "\
Encode header fields to network representation, such as MIME encoded-word.
It refers the `mime-field-encoding-method-alist' variable.

arguments: (&optional CODE-CONVERSION)
" t nil)

;;;***

;;;### (autoloads (mime-write-decoded-region mime-insert-encoded-file mime-decode-string mime-decode-region mime-encode-region) "mel" "flim-1.14.7/mel.el")

(autoload 'mime-encode-region "mel" "\
Encode region START to END of current buffer using ENCODING.
ENCODING must be string.

arguments: (START END ENCODING)
" t nil)

(autoload 'mime-decode-region "mel" "\
Decode region START to END of current buffer using ENCODING.
ENCODING must be string.

arguments: (START END ENCODING)
" t nil)

(autoload 'mime-decode-string "mel" "\
Decode STRING using ENCODING.
ENCODING must be string.  If ENCODING is found in
`mime-string-decoding-method-alist' as its key, this function decodes
the STRING by its value.

arguments: (STRING ENCODING)
" nil nil)

(autoload 'mime-insert-encoded-file "mel" "\
Insert file FILENAME encoded by ENCODING format.

arguments: (FILENAME ENCODING)
" t nil)

(autoload 'mime-write-decoded-region "mel" "\
Decode and write current region encoded by ENCODING into FILENAME.
START and END are buffer positions.

arguments: (START END FILENAME ENCODING)
" t nil)

;;;***

;;;### (autoloads (mime-format-mailcap-command mime-parse-mailcap-file mime-parse-mailcap-buffer) "mime-conf" "flim-1.14.7/mime-conf.el")

(autoload 'mime-parse-mailcap-buffer "mime-conf" "\
Parse BUFFER as a mailcap, and return the result.
If optional argument ORDER is a function, result is sorted by it.
If optional argument ORDER is not specified, result is sorted original
order.  Otherwise result is not sorted.

arguments: (&optional BUFFER ORDER)
" nil nil)

(defvar mime-mailcap-file "~/.mailcap" "\
*File name of user's mailcap file.")

(autoload 'mime-parse-mailcap-file "mime-conf" "\
Parse FILENAME as a mailcap, and return the result.
If optional argument ORDER is a function, result is sorted by it.
If optional argument ORDER is not specified, result is sorted original
order.  Otherwise result is not sorted.

arguments: (&optional FILENAME ORDER)
" nil nil)

(autoload 'mime-format-mailcap-command "mime-conf" "\
Return formated command string from MTEXT and SITUATION.

MTEXT is a command text of mailcap specification, such as
view-command.

SITUATION is an association-list about information of entity.  Its key
may be:

	'type		primary media-type
	'subtype	media-subtype
	'filename	filename
	STRING		parameter of Content-Type field

arguments: (MTEXT SITUATION)
" nil nil)

;;;***

;;;### (autoloads (mime-parse-buffer mime-uri-parse-cid mime-parse-msg-id mime-read-Content-Transfer-Encoding mime-parse-Content-Transfer-Encoding mime-read-Content-Disposition mime-parse-Content-Disposition mime-read-Content-Type mime-parse-Content-Type) "mime-parse" "flim-1.14.7/mime-parse.el")

(autoload 'mime-parse-Content-Type "mime-parse" "\
Parse FIELD-BODY as a Content-Type field.
FIELD-BODY is a string.
Return value is a mime-content-type object.
If FIELD-BODY is not a valid Content-Type field, return nil.

arguments: (FIELD-BODY)
" nil nil)

(autoload 'mime-read-Content-Type "mime-parse" "\
Parse field-body of Content-Type field of current-buffer.
Return value is a mime-content-type object.
If Content-Type field is not found, return nil.

arguments: ()
" nil nil)

(autoload 'mime-parse-Content-Disposition "mime-parse" "\
Parse FIELD-BODY as a Content-Disposition field.
FIELD-BODY is a string.
Return value is a mime-content-disposition object.
If FIELD-BODY is not a valid Content-Disposition field, return nil.

arguments: (FIELD-BODY)
" nil nil)

(autoload 'mime-read-Content-Disposition "mime-parse" "\
Parse field-body of Content-Disposition field of current-buffer.
Return value is a mime-content-disposition object.
If Content-Disposition field is not found, return nil.

arguments: ()
" nil nil)

(autoload 'mime-parse-Content-Transfer-Encoding "mime-parse" "\
Parse FIELD-BODY as a Content-Transfer-Encoding field.
FIELD-BODY is a string.
Return value is a string.
If FIELD-BODY is not a valid Content-Transfer-Encoding field, return nil.

arguments: (FIELD-BODY)
" nil nil)

(autoload 'mime-read-Content-Transfer-Encoding "mime-parse" "\
Parse field-body of Content-Transfer-Encoding field of current-buffer.
Return value is a string.
If Content-Transfer-Encoding field is not found, return nil.

arguments: ()
" nil nil)

(autoload 'mime-parse-msg-id "mime-parse" "\
Parse TOKENS as msg-id of Content-ID or Message-ID field.

arguments: (TOKENS)
" nil nil)

(autoload 'mime-uri-parse-cid "mime-parse" "\
Parse STRING as cid URI.

arguments: (STRING)
" nil nil)

(autoload 'mime-parse-buffer "mime-parse" "\
Parse BUFFER as a MIME message.
If buffer is omitted, it parses current-buffer.

arguments: (&optional BUFFER REPRESENTATION-TYPE)
" nil nil)

;;;***

;;;### (autoloads (qmtp-send-buffer qmtp-via-qmtp) "qmtp" "flim-1.14.7/qmtp.el")

(defvar qmtp-open-connection-function (function open-network-stream))

(autoload 'qmtp-via-qmtp "qmtp" "\


arguments: (SENDER RECIPIENTS BUFFER)
" nil nil)

(autoload 'qmtp-send-buffer "qmtp" "\


arguments: (SENDER RECIPIENTS BUFFER)
" nil nil)

;;;***

;;;### (autoloads (sha1) "sha1-el" "flim-1.14.7/sha1-el.el")

(autoload 'sha1 "sha1-el" "\
Return the SHA1 (Secure Hash Algorithm) of an object.
OBJECT is either a string or a buffer.
Optional arguments BEG and END denote buffer positions for computing the
hash of a portion of OBJECT.
If BINARY is non-nil, return a string in binary form.

arguments: (OBJECT &optional BEG END BINARY)
" nil nil)

;;;***

;;;### (autoloads (smtp-send-buffer smtp-via-smtp) "smtp" "flim-1.14.7/smtp.el")

(defvar smtp-open-connection-function (function open-network-stream) "\
*Function used for connecting to a SMTP server.
The function will be called with the same four arguments as
`open-network-stream' and should return a process object.
Here is an example:

\(setq smtp-open-connection-function
      #'(lambda (name buffer host service)
	  (let ((process-connection-type nil))
	    (start-process name buffer \"ssh\" \"-C\" host
			   \"nc\" host service))))

It connects to a SMTP server using \"ssh\" before actually connecting
to the SMTP port.  Where the command \"nc\" is the netcat executable;
see http://www.atstake.com/research/tools/index.html#network_utilities
for details.  In addition, you will have to modify the value for
`smtp-end-of-line' to \"\\n\" if you use \"telnet\" instead of \"nc\".")

(autoload 'smtp-via-smtp "smtp" "\
Like `smtp-send-buffer', but sucks in any errors.

arguments: (SENDER RECIPIENTS BUFFER)
" nil nil)

(autoload 'smtp-send-buffer "smtp" "\
Send a message.
SENDER is an envelope sender address.
RECIPIENTS is a list of envelope recipient addresses.
BUFFER may be a buffer or a buffer name which contains mail message.

arguments: (SENDER RECIPIENTS BUFFER)
" nil nil)

;;;***

;;;### (autoloads (smtpmail-send-it) "smtpmail" "flim-1.14.7/smtpmail.el")

(autoload 'smtpmail-send-it "smtpmail" "\


arguments: ()
" nil nil)

;;;***

;;;### (autoloads (std11-extract-address-components std11-parse-msg-ids-string std11-parse-msg-id-string std11-parse-addresses-string std11-parse-address-string std11-fill-msg-id-list-string std11-msg-id-string std11-full-name-string std11-address-string std11-lexical-analyze std11-unfold-string std11-field-body std11-narrow-to-header std11-fetch-field) "std11" "flim-1.14.7/std11.el")

(autoload 'std11-fetch-field "std11" "\
Return the value of the header field NAME.
The buffer is expected to be narrowed to just the headers of the message.

arguments: (NAME)
" nil nil)

(autoload 'std11-narrow-to-header "std11" "\
Narrow to the message header.
If BOUNDARY is not nil, it is used as message header separator.

arguments: (&optional BOUNDARY)
" nil nil)

(autoload 'std11-field-body "std11" "\
Return the value of the header field NAME.
If BOUNDARY is not nil, it is used as message header separator.

arguments: (NAME &optional BOUNDARY)
" nil nil)

(autoload 'std11-unfold-string "std11" "\
Unfold STRING as message header field.

arguments: (STRING)
" nil nil)

(autoload 'std11-lexical-analyze "std11" "\
Analyze STRING as lexical tokens of STD 11.

arguments: (STRING &optional ANALYZER START)
" nil nil)

(autoload 'std11-address-string "std11" "\
Return string of address part from parsed ADDRESS of RFC 822.

arguments: (ADDRESS)
" nil nil)

(autoload 'std11-full-name-string "std11" "\
Return string of full-name part from parsed ADDRESS of RFC 822.

arguments: (ADDRESS)
" nil nil)

(autoload 'std11-msg-id-string "std11" "\
Return string from parsed MSG-ID of RFC 822.

arguments: (MSG-ID)
" nil nil)

(autoload 'std11-fill-msg-id-list-string "std11" "\
Fill list of msg-id in STRING, and return the result.

arguments: (STRING &optional COLUMN)
" nil nil)

(autoload 'std11-parse-address-string "std11" "\
Parse STRING as mail address.

arguments: (STRING)
" nil nil)

(autoload 'std11-parse-addresses-string "std11" "\
Parse STRING as mail address list.

arguments: (STRING)
" nil nil)

(autoload 'std11-parse-msg-id-string "std11" "\
Parse STRING as msg-id.

arguments: (STRING)
" nil nil)

(autoload 'std11-parse-msg-ids-string "std11" "\
Parse STRING as `*(phrase / msg-id)'.

arguments: (STRING)
" nil nil)

(autoload 'std11-extract-address-components "std11" "\
Extract full name and canonical address from STRING.
Returns a list of the form (FULL-NAME CANONICAL-ADDRESS).
If no name can be extracted, FULL-NAME will be nil.

arguments: (STRING)
" nil nil)

;;;***

(provide 'flim-1.14.7-autoloads)
